List all Cards
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"cardToken": "<string>",
"lastFourDigits": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"virtual": true,
"statusCode": 1000,
"statusName": "<string>"
}
]{
"message": "<string>"
}{
"error": "Internal server error"
}Card Management
List all Cards
GET
/
api
/
v1
/
cards
List all Cards
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/cards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/cards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"cardToken": "<string>",
"lastFourDigits": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"virtual": true,
"statusCode": 1000,
"statusName": "<string>"
}
]{
"message": "<string>"
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Exclude voided cards from the response
Filter cards by status code
Response
The list of cards for a user
Card status code from payment processor. Possible values:
- 1000: Active
- 1001: Refer to Issuer
- 1004: Capture
- 1005: Declined
- 1006: Pin Blocked
- 1007: Declined
- 1008: Honour with ID
- 1009: Void
- 1041: Lost
- 1043: Stolen
- 1054: Expired
- 1154: Expired
- 1062: Restricted
- 1199: Void
Available options:
1000, 1001, 1004, 1005, 1006, 1007, 1008, 1009, 1041, 1043, 1054, 1154, 1062, 1199 Human-readable card status name corresponding to statusCode:
- "Active": Card is active and can be used
- "Refer to Issuer": Transaction requires issuer approval
- "Capture": Card should be captured/retained
- "Declined": All transactions are declined
- "Pin Blocked": Card PIN is blocked due to incorrect attempts
- "Honour with ID": Transaction requires ID verification
- "Void": Card is voided/cancelled
- "Lost": Card is reported as lost
- "Stolen": Card is reported as stolen
- "Expired": Card has expired
- "Restricted": Card has restrictions applied
- "Unknown": Status code not recognized